Mail archive
alpine-devel

[alpine-devel] [PATCH 1/2] testing/libzzip: New aport

From: Mika Havela <mika.havela_at_gmail.com>
Date: Wed, 12 Sep 2012 19:27:31 +0000

A lightweight library that offers the ability to easily extract data from files archived in a single zip file
http://zziplib.sourceforge.net
---
 testing/libzzip/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/libzzip/APKBUILD
diff --git a/testing/libzzip/APKBUILD b/testing/libzzip/APKBUILD
new file mode 100644
index 0000000..d446e61
--- /dev/null
+++ b/testing/libzzip/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: Mika Havela <mika.havela_at_gmail.com>
+# Maintainer: Mika Havela <mika.havela_at_gmail.com>
+pkgname=libzzip
+_pkgbase=zziplib
+pkgver="0.13.62"
+pkgrel=0
+pkgdesc="A lightweight library that offers the ability to easily extract data from files archived in a single zip file"
+url="http://zziplib.sourceforge.net"
+arch="x86"
+license="LGPL/MIT"
+depends=""
+depends_dev="perl-dev zlib-dev"
+makedepends="$depends_dev python"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/${_pkgbase}/${_pkgbase}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir/${_pkgbase}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export CC='gcc -m32'
+	export CXX='g++ -m32'
+	export PKG_CONFIG_PATH='/usr/lib/pkgconfig'
+	export PYTHON='/usr/bin/python2'
+	
+	./configure --prefix=/usr --libdir=/usr/lib
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	rm -rf "${pkgdir}"/usr/{bin,include,share}
+	rm "${pkgdir}"/usr/lib/*.la || return 1
+}
+
+md5sums="5fe874946390f939ee8f4abe9624b96c  zziplib-0.13.62.tar.bz2"
-- 
1.7.12
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Sep 12 2012 - 19:27:31 UTC